View Issue Details

IDProjectCategoryView StatusLast Update
0003452GNUnettransport servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003452: complete implementation of plugin monitoring API
DescriptionThis way, we can hopefully finally diagnose problems really at every level.
TagsNo tags attached.

Relationships

has duplicate 0003269 closedChristian Grothoff transport plugin monitoring API 

Activities

Christian Grothoff

2014-10-20 13:34

manager   ~0008612

setup_monitor needs to be implemented in DV plugin, and then actually used in transport service and transport API.

Christian Grothoff

2014-10-23 13:00

manager   ~0008614

With SVN 34379, the transport service and plugins should be done, only the client API (and testing..., and GUI) are missing.

Christian Grothoff

2014-11-07 17:33

manager   ~0008619

Monitoring API (in libgnunettransport) implemented in SVN 34401.

Christian Grothoff

2014-11-07 18:43

manager   ~0008620

Client support in gnunet-transport implemented in SVN 34402.

Christian Grothoff

2014-11-23 22:07

manager   ~0008628

Seems to work now.

Issue History

Date Modified Username Field Change
2014-06-23 01:05 Christian Grothoff New Issue
2014-06-23 01:05 Christian Grothoff Status new => assigned
2014-06-23 01:05 Christian Grothoff Assigned To => Christian Grothoff
2014-10-20 13:34 Christian Grothoff Note Added: 0008612
2014-10-23 13:00 Christian Grothoff Note Added: 0008614
2014-11-07 17:33 Christian Grothoff Note Added: 0008619
2014-11-07 18:43 Christian Grothoff Note Added: 0008620
2014-11-23 22:07 Christian Grothoff Note Added: 0008628
2014-11-23 22:07 Christian Grothoff Status assigned => resolved
2014-11-23 22:07 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-11-23 22:07 Christian Grothoff Resolution open => fixed
2014-12-12 01:26 Christian Grothoff Relationship added has duplicate 0003269
2018-06-07 00:25 Christian Grothoff Status resolved => closed